Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.samplers
Class Entry

    java.lang.Object
      org.apache.jmeter.samplers.Entry

    public class Entry

extends Object

Constructor Summary
`Entry()`

Method Summary
`void` | `addAssertion(Assertion assertion)`
`void` | `addConfigElement(ConfigElement config)`
`void` | `addConfigElement(ConfigElement config, Class<?> asClass)` Add a config element as a specific class.
`List<Assertion>` | `getAssertions()`
`ConfigElement` | `getConfigElement(Class<?> configClass)`
`Class<?>` | `getSamplerClass()`
`void` | `setSamplerClass(Class<?> samplerClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Entry

    public Entry()

Method Detail

### addAssertion

    public void addAssertion(Assertion assertion)

### getAssertions

    public List<Assertion> getAssertions()

### setSamplerClass

    public void setSamplerClass(Class<?> samplerClass)

### getSamplerClass

    public Class<?> getSamplerClass()

### getConfigElement

    public ConfigElement getConfigElement(Class<?> configClass)

### addConfigElement

    public void addConfigElement(ConfigElement config)

### addConfigElement

    public void addConfigElement(ConfigElement config,
                                 Class<?> asClass)

  Add a config element as a specific class. Usually this is done to add a subclass as one of it's parent classes.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.